%define upstream_name    Test-Spelling
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check for spelling errors in POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IPC::Run3) >= 0.44.0
BuildRequires: perl(Pod::Spell) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Tester)
BuildRequires: hunspell-en
BuildArch:  noarch

Requires:   hunspell-en
%description
Test::Spelling lets you check the spelling of a POD file, and report its
results in standard Test::More fashion. This module requires a
spellcheck program such as spell, aspell, ispell, or hunspell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 527678
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 441786
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 373784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 342707
- update to 0.16

* Thu Feb 16 2012 jquelin <jquelin> 0.150.0-2.mga2
+ Revision: 209732
- migrate required spell checker to hunspell (mga#4385)
- update to 0.15

* Fri Jun 17 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 108980
- update to 0.14

* Sun Jan 23 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 34277
- mageia rebuild
- imported package perl-Test-Spelling


* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-2mdv2010.1
+ Revision: 527995
- using aspell in english by default

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 405595
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2009.0
+ Revision: 268739
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 213781
- import perl-Test-Spelling


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
- first mdv release
